<table class="table table-striped"> 
   <thead> 
      <tr> 
         <th>Id</th>
         <th>Name</th>
          <th>View</th>
        
      </tr> 
   </thead> 
   <tbody> 
      <tr *ngFor="let product of Products"> 
           <td>{{ product.id }}</td> 
           <td>{{ product.name }}</td>       
        <td><a routerLink="../product-detail/{{ product.id }}">View</a></td>    
      </tr> 
   </tbody> 
</table>